$(document).ready(function(){ 
var intervalID; 
var curLi;
$(".mail-nav a").mouseover(function(){ 
curLi=$(this);
intervalID=setInterval(onMouseOver,250);//鼠标移入的时候有一定的延时才会切换到所在项，防止用户不经意的操作 
});
function onMouseOver(){ 
$(".cur-mail-sub-con").removeClass("cur-mail-sub-con"); 
$(".mail-sub-con").eq($(".mail-nav a").index(curLi)).addClass("cur-mail-sub-con"); 
$(".cur-mail-active").removeClass("cur-mail-active"); 
$(".mail-active-arrow").eq($(".mail-nav a").index(curLi)).addClass("cur-mail-active");
$(".mail-active").removeClass("mail-active"); 
curLi.addClass("mail-active");
} 
$(".mail-nav a").mouseout(function(){ 
clearInterval(intervalID); 
}); 

$(".mail-nav a").click(function(){//鼠标点击也可以切换 
clearInterval(intervalID); 
$(".cur-mail-sub-con").removeClass("cur-mail-sub-con"); 
$(".mail-sub-con").eq($(".mail-nav a").index(curLi)).addClass("cur-mail-sub-con");
$(".cur-mail-active").removeClass("cur-mail-active"); 
$(".mail-active-arrow").eq($(".mail-nav a").index(curLi)).addClass("cur-mail-active");
$(".mail-active").removeClass("mail-active"); 
curLi.addClass("mail-active"); 
}); 

}); 